Package org.apache.commons.imaging.icc

## Class IccTag

- java.lang.Object
- - org.apache.commons.imaging.icc.IccTag

-     public class IccTag
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.apache.commons.imaging.icc.IccTagType` | `fIccTagType` |
    `int` | `length` |
    `int` | `offset` |
    `int` | `signature` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IccTag​(int signature, int offset, int length, org.apache.commons.imaging.icc.IccTagType fIccTagType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(PrintWriter pw, String prefix)` |
    `void` | `dump​(String prefix)` |
    `void` | `setData​(byte[] bytes)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signature

          public final int signature

    - #### offset

          public final int offset

    - #### length

          public final int length

    - #### fIccTagType

          public final org.apache.commons.imaging.icc.IccTagType fIccTagType

  - ### Constructor Detail

    - #### IccTag

          public IccTag​(int signature,
                        int offset,
                        int length,
                        org.apache.commons.imaging.icc.IccTagType fIccTagType)

  - ### Method Detail

    - #### setData

          public void setData​(byte[] bytes)
                       throws IOException

      Throws:
        `IOException`

    - #### dump

          public void dump​(String prefix)
                    throws ImageReadException,
                           IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### dump

          public void dump​(PrintWriter pw,
                           String prefix)
                    throws ImageReadException,
                           IOException

      Throws:
        `ImageReadException`
        `IOException`